using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Thirdparty.CustomerGroup.Cqrs;

public class UpdateCustomerGroupValidator : AbstractValidator<UpdateCustomerGroupRequest>
{
    public UpdateCustomerGroupValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("ID is required for update");

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Group Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Description)
            .MaximumLength(GlobalConsts.StringLengthMedium);
    }
}